package com.kmall.admin.entity.mk;

import com.kmall.admin.dto.ExpendDistDto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 渠道销售分配，分销商针对某个商品sku的销售分配实体
 * 表名 mk_dist_sell_allocation
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:46
 */
public class MkDistSellAllocationEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 销售分配id
     */
    private Integer sellAllocId;
    /**
     * 分销渠道名称
     */
    private String distFlag;
    /**
     * 所属三方商户
     */
    private Integer thirdMerchSn;
    /**
     * 所属供应商
     */
    private Integer supplierId;
    /**
     * 商品所属分销商id
     */
    private Integer distId;
    /**
     * 商品id
     */
    private Integer goodsId;
    /**
     * 分配方式，【alloc_type，00:比例，10:金额】
     */
    private String allocType;
    /**
     * 支出分销商id，格式为【一级经销商id，二级经销商id，三级经销商id...】，a,b,c...,n,m
     */
    private String expendDistIds;
    /**
     * 支出提成额度（点数/金额），格式为【一级提成额度，二级提成额度，三级提成额度...】，3,2,1...,n,m
     */
    private String expendDistLines;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private List<Integer> expendDistIdList;

    private Integer storeId;

    private Integer distChnlId;

    private Integer sellAllocHistoryId;

    private String distName;
    private String storeName;
    private String goodsName;
    private String thirdPartyMerchName;
    private String childSupplierName;

    private List<ExpendDistDto> expendDistDtoList;

    public List<ExpendDistDto> getExpendDistDtoList() {
        return expendDistDtoList;
    }

    public void setExpendDistDtoList(List<ExpendDistDto> expendDistDtoList) {
        this.expendDistDtoList = expendDistDtoList;
    }

    public Integer getSellAllocHistoryId() {
        return sellAllocHistoryId;
    }

    public void setSellAllocHistoryId(Integer sellAllocHistoryId) {
        this.sellAllocHistoryId = sellAllocHistoryId;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public String getChildSupplierName() {
        return childSupplierName;
    }

    public void setChildSupplierName(String childSupplierName) {
        this.childSupplierName = childSupplierName;
    }


    public String getDistName() {
        return distName;
    }

    public void setDistName(String distName) {
        this.distName = distName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Integer getDistChnlId() {
        return distChnlId;
    }

    public void setDistChnlId(Integer distChnlId) {
        this.distChnlId = distChnlId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public List<Integer> getExpendDistIdList() {
        return expendDistIdList;
    }

    public void setExpendDistIdList(List<Integer> expendDistIdList) {
        this.expendDistIdList = expendDistIdList;
    }

    /**
     * 设置：销售分配id
     */
    public void setSellAllocId(Integer sellAllocId) {
        this.sellAllocId = sellAllocId;
    }

    /**
     * 获取：销售分配id
     */
    public Integer getSellAllocId() {
        return sellAllocId;
    }
    /**
     * 设置：分销渠道名称
     */
    public void setDistFlag(String distFlag) {
        this.distFlag = distFlag;
    }

    /**
     * 获取：分销渠道名称
     */
    public String getDistFlag() {
        return distFlag;
    }
    /**
     * 设置：所属三方商户
     */
    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 获取：所属三方商户
     */
    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }
    /**
     * 设置：所属供应商
     */
    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    /**
     * 获取：所属供应商
     */
    public Integer getSupplierId() {
        return supplierId;
    }
    /**
     * 设置：商品所属分销商id
     */
    public void setDistId(Integer distId) {
        this.distId = distId;
    }

    /**
     * 获取：商品所属分销商id
     */
    public Integer getDistId() {
        return distId;
    }
    /**
     * 设置：商品id
     */
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 获取：商品id
     */
    public Integer getGoodsId() {
        return goodsId;
    }
    /**
     * 设置：分配方式，【alloc_type，00:比例，10:金额】
     */
    public void setAllocType(String allocType) {
        this.allocType = allocType;
    }

    /**
     * 获取：分配方式，【alloc_type，00:比例，10:金额】
     */
    public String getAllocType() {
        return allocType;
    }
    /**
     * 设置：支出分销商id，格式为【一级经销商id，二级经销商id，三级经销商id...】，a,b,c...,n,m
     */
    public void setExpendDistIds(String expendDistIds) {
        this.expendDistIds = expendDistIds;
    }

    /**
     * 获取：支出分销商id，格式为【一级经销商id，二级经销商id，三级经销商id...】，a,b,c...,n,m
     */
    public String getExpendDistIds() {
        return expendDistIds;
    }
    /**
     * 设置：支出提成额度（点数/金额），格式为【一级提成额度，二级提成额度，三级提成额度...】，3,2,1...,n,m
     */
    public void setExpendDistLines(String expendDistLines) {
        this.expendDistLines = expendDistLines;
    }

    /**
     * 获取：支出提成额度（点数/金额），格式为【一级提成额度，二级提成额度，三级提成额度...】，3,2,1...,n,m
     */
    public String getExpendDistLines() {
        return expendDistLines;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
